Bug 10196 - tst-fgetwc is failing
Summary: tst-fgetwc is failing
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: stdio (show other bugs)
Version: 2.10
: P3 normal
Target Milestone: ---
Assignee: Ulrich Drepper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-25 07:13 UTC by Bruce Dubbs
Modified: 2014-07-01 20:19 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Dubbs 2009-05-25 07:13:02 UTC
When building glibc-2.10.1, `make check` flags tst-fgetwc as failing.  I was
able to get it to pass with the following two changes:

In libio/tst-fgetwc.c, change the line:
  if (setlocale (LC_ALL, "de_DE.utf8") == NULL)
to
  if (setlocale (LC_ALL, "de_DE.UTF-8") == NULL)
                                ^^^^^
and in libio/Makefile, add the line
  tst-fgetwc-ENV = LOCPATH=$(common-objpfx)localedata' libio/Makefile
Comment 1 joseph@codesourcery.com 2009-05-28 21:27:10 UTC
Subject: Re:  New: tst-fgetwc is failing

I posted a patch for this bug to libc-alpha last month: 
http://sourceware.org/ml/libc-alpha/2009-04/msg00004.html

Comment 2 Ulrich Drepper 2009-06-16 00:28:10 UTC
Fixed in git.
Comment 3 joseph@codesourcery.com 2009-06-16 11:52:18 UTC
Subject: Re:  tst-fgetwc is failing

The libio/Makefile part of the fix doesn't seem to have been applied, only 
the libio/tst-fgetwc.c part.

Comment 4 booleandomain 2009-07-06 16:57:43 UTC
I tried glibc from git (glibc-2_10-branch) today and it seems this error had not
been fixed at all.
Comment 5 Andreas Jaeger 2012-04-06 19:58:32 UTC
The error has been fixed now:

commit eae3208e249edda25548fa7680d01193d7515e0c
Author: Ulrich Drepper <drepper@redhat.com>
Date:   Tue Jun 16 07:48:27 2009 -0700

    Run tst-fgetwc with necessary envvar.